package cn.com.ty.lift.ud.operation.controller.query;

import java.math.BigDecimal;
import java.util.Date;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.operation.mapper.entity.UserLevelRuleEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户等级规则;查询条件
 * 
 * @author Xson
 * @date 2020-05-06
 */
@Data
@ApiModel(description = "用户等级规则;查询条件")
public final class UserLevelRuleQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;

    /**
     * 等级名称
     */
    @ApiModelProperty("等级名称")
    private String name;

    /**
     * 1会员用户2普通用户
     */
    @ApiModelProperty("1会员用户2普通用户")
    private Integer vipFlag;


    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<UserLevelRuleEntity> query = new QueryWrapper<>();
        //是否收费
        if (null != vipFlag) {
            query.eq("vip_flag", vipFlag);
        }
        query.orderByDesc("create_time");
        query.eq("1",1);
        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<UserLevelRuleEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

